from django import forms
from .models import *

class CustomLoginForm(forms.Form):
    username = forms.CharField(label='Username', max_length=150)
    password = forms.CharField(label='Password', widget=forms.PasswordInput)



class SignUpForm(forms.ModelForm):
    class Meta:
        model = CustomerProfile
        fields = ['first_name', 'last_name', 'email', 'password', 'mobile_number', 'status', 'reference', 'personal_website', 'business']


class StaffSignUpForm(forms.ModelForm):
    class Meta:
        model = StaffProfile
        fields = ['first_name', 'last_name', 'image', 'email', 'mobile_number', 'password', 'position', 'intern', 'active']